package com.ruoyi.ss.apiPrice.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * API收费标准对象 ss_api_price
 *
 * @author ruoyi
 * @date 2024-08-08
 */
@Data
public class ApiPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "类型")
    @ApiModelProperty("类型")
    private String type;

    @Excel(name = "数值")
    @ApiModelProperty("数值")
    private Long num;

    @Excel(name = "单位")
    @ApiModelProperty("单位")
    private String unit;

    @Excel(name = "标准名称")
    @ApiModelProperty("标准名称")
    private String name;

    @Excel(name = "标准描述")
    @ApiModelProperty("标准描述")
    private String description;

    @Excel(name = "价格", readConverterExp = "元=")
    @ApiModelProperty("价格")
    private BigDecimal price;

}
